Bug 977048 - fedup fails due to insufficient space on /boot partition (F18->F19), with no indication of the reason
fedup fails due to insufficient space on /boot partition (F18->F19), with no ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 18:16 EDT by igor.redhat@gmail.com
Modified: 2015-02-17 10:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:39:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade.log (102.15 KB, text/x-log)
2013-06-22 18:16 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2013-06-22 18:16:52 EDT
Created attachment 764196 [details]
upgrade.log

Description of problem:

When trying to upgrade from F18 to F19, the first stage of fedup (package download) completed normally without any warnings; upon reboot, there was  a new fedup entry in the grub menu. Upon selecting it, the system booted, did some processing for about 5-10 minutes and then rebooted again (without any messages at all if I recall correctly). Upon this second reboot, the fedup entry was gone from the grub menu and the system was left at F18; all downloaded packages were removed. Looking at upgrade.log showed that the upgrade failed due to insufficient space on /boot partition:

Jun 21 20:15:39 igor-hp upgrade[616]: ERROR: upgrade failed due to the following problems:
Jun 21 20:15:40 igor-hp upgrade[616]: installing package syslinux-extlinux-4.05-5.fc19.x86_64 needs 2MB on the /boot filesystem
Jun 21 20:15:40 igor-hp upgrade[616]: installing package fedora-logos-19.0.4-1.fc19.noarch needs 9MB on the /boot filesystem
Jun 21 20:15:40 igor-hp upgrade[616]: installing package grub2-tools-1:2.00-20.fc19.x86_64 needs 12KB on the /boot filesystem

How reproducible:

I've only tried it once but I expect it to be very reproducible.

Actual results:

The system is left at F18 without any indication of the reason or even of the fact that the upgrade failed; downloaded packages are removed - I had to re-run the first stage of fedup after freeing up some space on /boot.

Expected results:

a) It'd be nice to get some warning/message about insufficient space on the /boot partition, ideally even before the reboot but even something during the attempted install would be better than having to look at the log files.

b) It'd be really nice if the downloaded packages and the fedup grub entry were left as is if the installation could not proceed so that one had a chance to fix the problem (i.e., insufficient disk space in this case) and retry the installation without having to re-run the first stage of fedup and redownload all the packages.
Comment 1 Dams 2013-07-04 03:32:42 EDT
Very reproducible, indeed. The fun part is that fedup thought there was enough space during the test transaction. But in the end the upgrade process log says "sorry you actually need 20MB more, my bad.".
Comment 2 markusN 2013-08-01 03:35:01 EDT
See also #891943
Comment 3 Fedora End Of Life 2015-01-09 13:30:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:39:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.